      PROGRAM ANNUALEVITUS
C ===============================
C David E. Dietrich, September, 1995
      DIMENSION TMEAN(360,180),SMEAN(360,180)
      DIMENSION TK(360,180),SK(360,180)
C ===============
C Input data files
      OPEN(7,file='modelev_win.dat',form='unformatted',status='old')
      OPEN(8,file='modelev_spr.dat',form='unformatted',status='old')
      OPEN(9,file='modelev_sum.dat',form='unformatted',status='old')
      OPEN(10,file='modelev_aut.dat',form='unformatted',status='old')
C Output data files
      OPEN(20,file='modelev_ann.dat',form='unformatted')
      REWIND 20
      REWIND 7
      REWIND 8
      REWIND 9
      REWIND 10
C Include South China Sea window only in output T, but with 1/6 deg res
C Western most point at 106.0 east, eastern most point at 121.0 east
C TK(106,J) is at 106 deg east
C T(1,J) is at 106.0 deg east, T(2,J) is at 106.16667 east
      DO 30 K=1,33
      READ(7) TK,SK
      SMAX=-1.E10
      SMIN=1.E10
      DO 21 J=1,180
      DO 21 I=1,360
      SMIN=MIN(SMIN,SK(I,J))
      SMAX=MAX(SMAX,SK(I,J))
      TMEAN(I,J)=TK(I,J)
 21   SMEAN(I,J)=SK(I,J)
      WRITE(*,2222) K,SMIN,SMAX
 2222 FORMAT('K=',I3,', SMIN,SMAX= ',2F10.5)
      READ(8) TK,SK
      DO 22 J=1,180
      DO 22 I=1,360
      TMEAN(I,J)=TMEAN(I,J)+TK(I,J)
 22   SMEAN(I,J)=SMEAN(I,J)+SK(I,J)
      READ(9) TK,SK
      DO 23 J=1,180
      DO 23 I=1,360
      TMEAN(I,J)=TMEAN(I,J)+TK(I,J)
 23   SMEAN(I,J)=SMEAN(I,J)+SK(I,J)
      READ(10) TK,SK
      DO 24 J=1,180
      DO 24 I=1,360
      TMEAN(I,J)=TMEAN(I,J)+TK(I,J)
 24   SMEAN(I,J)=SMEAN(I,J)+SK(I,J)
      SMAX=-1.E10
      SMIN=1.E10
      DO 26 J=1,180
      DO 26 I=1,360
      SMIN=MIN(SMIN,.25*SMEAN(I,J))
      SMAX=MAX(SMAX,.25*SMEAN(I,J))
      TMEAN(I,J)=.25*TMEAN(I,J)
 26   SMEAN(I,J)=.25*SMEAN(I,J)
      WRITE(*,2222) K,SMIN,SMAX
      WRITE(20) TMEAN,SMEAN
 30   CONTINUE
      END
